
CREATE TABLE COMPONENT ( 
	COMP_ID bigint NOT NULL,
	TYPE varchar(50) NOT NULL,
    ID varchar(255) NOT NULL,
	DSD_ID bigint NOT NULL,
	CON_ID bigint NOT NULL,
	CL_ID bigint,
    CON_SCH_ID bigint NULL,
	IS_FREQ_DIM int,
	IS_MEASURE_DIM int,
	ATT_ASS_LEVEL varchar(11),
	ATT_STATUS varchar(11),
	ATT_IS_TIME_FORMAT int,
	XS_ATTLEVEL_DS int,
	XS_ATTLEVEL_GROUP int,
	XS_ATTLEVEL_SECTION int,
	XS_ATTLEVEL_OBS int,
	XS_MEASURE_CODE varchar(50)
)
;

ALTER TABLE COMPONENT ADD CONSTRAINT PK_COMPONENT 
	PRIMARY KEY CLUSTERED (COMP_ID)
;
